coord.h File Reference

A Coord is a coordinate of arbitrary rank into a tensor or matrix. More...

`#include <cutlass/cutlass.h>`

Go to the source code of this file.

## Classes

struct | cutlass::Identity
| Describes identity elements. More...
struct | cutlass::Coord< N_ >
| Statically-sized array specifying Coords within a tensor. More...

## Namespaces

| cutlass

## Functions

CUTLASS_HOST_DEVICE Coord< 1 > | cutlass::make_Coord (int _0)
| Helper to make a 2-element coordinate. More...
CUTLASS_HOST_DEVICE Coord< 2 > | cutlass::make_Coord (int _0, int _1)
| Helper to make a 2-element coordinate. More...
CUTLASS_HOST_DEVICE Coord< 3 > | cutlass::make_Coord (int _0, int _1, int _2)
| Helper to make a 3-element coordinate. More...
CUTLASS_HOST_DEVICE Coord< 4 > | cutlass::make_Coord (int _0, int _1, int _2, int _3)
| Helper to make a 4-element coordinate. More...
CUTLASS_HOST_DEVICE Coord< 2 > | cutlass::get_Coord_hw (Coord< 3 > const &coord)
| Getter. More...
CUTLASS_HOST_DEVICE Coord< 2 > | cutlass::get_Coord_hw (Coord< 4 > const &coord)
| Getter. More...
CUTLASS_HOST_DEVICE Coord< 3 > | cutlass::get_Coord_hwc (Coord< 4 > const &coord)
| Getter. More...
CUTLASS_HOST_DEVICE Coord< 3 > | cutlass::get_Coord_dhw (Coord< 4 > const &coord)
| Getter. More...